# Command Line Arguments

`$ pfaedit [-options] [filenames]
$ pfaedit [-script] scriptfile [arguments]`

The filenames may specify any number of files in one of the font formats that PfaEdit recognizes (various postscript formats, truetype, opentype, mac resource, bitmap).

Some files (.ttc or mac resource) may contain more than one outline font. You may pick which font you want by following the filename with the fontname in parentheses, thus:
`$ pfaedit "gulim.ttc(GulimChe)"`
will select the font GulimChe out of the font file gulim.ttc.

PfaEdit recognizes the following options:

-cmap type
  Where type may be
  Current | Copy | Private
  Gives the user some control over colormap handling on 8bit screens.
-depth val
  Specifies that PfaEdit should search for a visual with the given depth
-display name
  Specifies the name of the display on which PfaEdit will open its windows
-help
  Bring up a browser looking at this documentation.
-version
  Prints out the source version and exits.
-keyboard type
  Where type may be
  ibm | mac | sun | ppc | 0 | 1 | 2 | 3
  Allows you to specify the type of keyboard. Currently this is only relevent when generating menus. The modifier keys are in different locations on different keyboards (under different operating systems) and if PfaEdit knows what keyboard you are using it can make the hot-keys have better labels.
  - ibm | 0
    Uses the Control and Alt keys
  - mac | 1
    Uses the Command and Option keys (Mac OS/X, Mac keyboard)
  - ppc | 3
    Uses the Control and Command keys (Suse ppc linux, Mac keyboard)
  - sun | 2
    Uses the Control and Meta keys
-last
  Opens the last sfd file closed. If used more than once will open the last several sfd files.
-new
  Creates a new font.
-nosplash
  PfaEdit will not display its splash screen on startup (for slow connections)
-recover type
  Where type may be:
  none
    Do not attempt any automatic file recovery
  clean
    Clean out the directory containing files to be recovered
  auto
    recover any files which have been changed but which pfaedit crashed on before saving.
-script script-file
  If PfaEdit's first argument is "-script" then the argument that follows will be treated as a script file and all the remaining arguments will be passed as arguments to that file. (The "-script" argument may be omitted, and if the first argument is an executable file which whose first line starts with "#!" and contains "pfaedit". This means that pfaedit may be used as an interpretter. Ie. you can create a pfaedit script file and type its name to your shell and pfaedit will be invoked to process that file as a script file (passing any arguments to it)).
-sync
  Do synchronous screen drawing. Slows things down, makes some things easier to debug.
-usage
  Display a brief description of the options
-vc type
  Where type may be:
  StaticGray GrayScale StaticColor PsuedoColor TrueColor DirectColor
  (See the X manuals for a description of what these mean). PfaEdit will search through the visuals in an attempt to find one with the desired VisualClass (given here) and depth (given with the -depth option).

## Environment Variables

PfaEdit examines the following environment variables:

`BROWSER`
  Specifies the name of a browser program for examining documentation (must be able to read a local or remote html file and display it reasonably). On CygWin systems browsers that work in the windows world (as opposed to the cygwin sub-system) must be specified by a full path spec.
`AUTOTRACE`
  Specifies the name and location of the autotrace program. (if not specified PfaEdit will try to find it in the user's path)
`MF`
  Specifies the name and location of the metafont program. (if not specified PfaEdit will try to find it in the user's path)
`PFAEDIT_VERBOSE`
  Turns on verbose mode in script execution (the script will be printed to stdout as it is executed).

`LANG, LC_ALL,` etc.
  To determine the current locale, etc.
`PATH`
  Used when looking for Autotrace or mf programs
`TMPDIR`
  Temporary directory. Used for temporary files for which I need a filename (ie. to pass to autotrace, etc.)
`HOME`
  Used to figure out where to put the .PfaEdit directory which includes user preferences and the recovery files.
`USER`
  Used to create comments in new fonts about who created the font, or who saved it.

-- Prev -- TOC -- Next --